JUCE: juce::midi_ci::Subscription Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Subscription Struct Reference
juce_midi_ci » ci

Matches a subscription ID to a resource name. More...

`#include <juce_CISubscription.h>`

## Public Member Functions
bool | operator< (const Subscription &other) const
bool | operator<= (const Subscription &other) const
bool | operator> (const Subscription &other) const
bool | operator>= (const Subscription &other) const
bool | operator== (const Subscription &other) const
bool | operator!= (const Subscription &other) const

## Public Attributes
String | subscribeId
String | resource

## Detailed Description

Matches a subscription ID to a resource name.

## Member Function Documentation

## ◆ operator<()

bool juce::midi_ci::Subscription::operator< | ( | const Subscription & | other | ) | const

References subscribeId.

## ◆ operator<=()

bool juce::midi_ci::Subscription::operator<= | ( | const Subscription & | other | ) | const

References subscribeId.

## ◆ operator>()

bool juce::midi_ci::Subscription::operator> | ( | const Subscription & | other | ) | const

References subscribeId.

## ◆ operator>=()

bool juce::midi_ci::Subscription::operator>= | ( | const Subscription & | other | ) | const

References subscribeId.

## ◆ operator==()

bool juce::midi_ci::Subscription::operator== | ( | const Subscription & | other | ) | const

References x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Subscription::operator!= | ( | const Subscription & | other | ) | const

References operator==().

## Member Data Documentation

## ◆ subscribeId

String juce::midi_ci::Subscription::subscribeId

Referenced by operator<(), operator<=(), operator>(), and operator>=().

## ◆ resource

String juce::midi_ci::Subscription::resource

The documentation for this struct was generated from the following file:

- juce_CISubscription.h